<h1>Print Job Calculator</h1>
<h2>Job Inputs:</h2>
Job has extra margin: <input [(ngModel)]="request.extraMargin" type="checkbox">
<div *ngFor="let item of request.items; index as i">
  Name: <input [(ngModel)]="item.name" type="text">
  Cost: <input [(ngModel)]="item.amount" type="number">
  Tax exempt: <input [(ngModel)]="item.taxExempt" type="checkbox">
  <button (click)="removeJobItem(i)">Remove</button>
</div>

<div>
  <button (click)="addJobItem()">Add new Item</button>
</div>
<div>
  <button (click)="calculatePrice()">Calculate Price</button>
</div>
<div *ngIf="response">
  <hr>
  <h2>Price breakdown: </h2>
  <div *ngFor="let item of response.items">
    <label>{{item.name}}: ${{item.amount | number : '1.2-2'}}</label>
  </div>
  <div>total: ${{response.totalAmount | number : '1.2-2'}}</div>
</div>
